Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228764 - CVE-2007-0901, CVE-2007-0902: moin 1.5.7 XSS, information disclosure
Summary: CVE-2007-0901, CVE-2007-0902: moin 1.5.7 XSS, information disclosure
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: moin
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-14 20:54 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 1.5.7-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-07 13:13:05 UTC


Attachments (Terms of Use)

Description Ville Skyttä 2007-02-14 20:54:39 UTC
CVE's against moin 1.5.7, with little useful information available at the moment:

http://nvd.nist.gov/nvd.cfm?cvename=CVE-2007-0901
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2007-0902

Comment 1 Matthias Saou 2007-03-02 12:28:54 UTC
Looks like Ubuntu has released updates to fix these vulnerabilities. I wish the
MoinMoin website would actually publish some kind of official announcement (and
patch!), instead of having to hunt for details and a fix...

Comment 2 Matthias Saou 2007-04-11 21:33:19 UTC
Still unpatched upstream, and still no patches or even details in the various
vulnerability reports... are there _any_ details about these!?

Comment 3 Matthias Saou 2007-05-07 13:13:05 UTC
Debian has a really great MoinMoin package, and seems to track upstream really
closely.

I've reviewed, included and tested 4 security patches from Debian, which should
fix CVE-2007-0857, CVE-2007-0901, CVE-2007-0902 and CVE-2007-2423 (and other
security bugs too).

I've updated F7,6,5 and EL5,4 branches (all current).


Note You need to log in before you can comment on or make changes to this bug.